---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::RadioButtonRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1RadioButtonRenderer.html">RadioButtonRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1RadioButtonRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::RadioButtonRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::RadioButtonRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1RadioButtonRenderer.png" usemap="#tgui::RadioButtonRenderer_map" alt=""/>
  <map id="tgui::RadioButtonRenderer_map" name="tgui::RadioButtonRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,158,24"/>
<area href="classtgui_1_1WidgetPadding.html" title="Parent class for every widget that has padding. " alt="tgui::WidgetPadding" shape="rect" coords="168,0,326,24"/>
<area href="classtgui_1_1CheckBoxRenderer.html" alt="tgui::CheckBoxRenderer" shape="rect" coords="84,112,242,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa1b389bc0fe2adf81a255431b2ea7f3a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#aa1b389bc0fe2adf81a255431b2ea7f3a">RadioButtonRenderer</a> (<a class="el" href="classtgui_1_1RadioButton.html">RadioButton</a> *radioButton)</td></tr>
<tr class="memdesc:aa1b389bc0fe2adf81a255431b2ea7f3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa1b389bc0fe2adf81a255431b2ea7f3a">More...</a><br /></td></tr>
<tr class="separator:aa1b389bc0fe2adf81a255431b2ea7f3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d4733acce3787726cd9a0cf41310461"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a6d4733acce3787726cd9a0cf41310461">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a6d4733acce3787726cd9a0cf41310461"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a6d4733acce3787726cd9a0cf41310461">More...</a><br /></td></tr>
<tr class="separator:a6d4733acce3787726cd9a0cf41310461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0035b9411a9e6c698c7be6d8480a7d2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ab0035b9411a9e6c698c7be6d8480a7d2">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:ab0035b9411a9e6c698c7be6d8480a7d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#ab0035b9411a9e6c698c7be6d8480a7d2">More...</a><br /></td></tr>
<tr class="separator:ab0035b9411a9e6c698c7be6d8480a7d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3a06ca946aa9807fd65cce2ba57ae2c"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ad3a06ca946aa9807fd65cce2ba57ae2c">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:ad3a06ca946aa9807fd65cce2ba57ae2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#ad3a06ca946aa9807fd65cce2ba57ae2c">More...</a><br /></td></tr>
<tr class="separator:ad3a06ca946aa9807fd65cce2ba57ae2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af412ddc80580c7b6d4162bee21e3062a"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#af412ddc80580c7b6d4162bee21e3062a">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:af412ddc80580c7b6d4162bee21e3062a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#af412ddc80580c7b6d4162bee21e3062a">More...</a><br /></td></tr>
<tr class="separator:af412ddc80580c7b6d4162bee21e3062a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa127be5ad99e5d487c01d7ddcaa41018"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#aa127be5ad99e5d487c01d7ddcaa41018">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aa127be5ad99e5d487c01d7ddcaa41018"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text.  <a href="#aa127be5ad99e5d487c01d7ddcaa41018">More...</a><br /></td></tr>
<tr class="separator:aa127be5ad99e5d487c01d7ddcaa41018"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19f286c657f75446c8333a4b28880f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ae19f286c657f75446c8333a4b28880f0">setTextColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ae19f286c657f75446c8333a4b28880f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text in normal state (mouse not on top of the radio button).  <a href="#ae19f286c657f75446c8333a4b28880f0">More...</a><br /></td></tr>
<tr class="separator:ae19f286c657f75446c8333a4b28880f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44cacc645612bdcf79fc6d8a7862c62c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a44cacc645612bdcf79fc6d8a7862c62c">setTextColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a44cacc645612bdcf79fc6d8a7862c62c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text in hover state (mouse is standing on top of the radio button).  <a href="#a44cacc645612bdcf79fc6d8a7862c62c">More...</a><br /></td></tr>
<tr class="separator:a44cacc645612bdcf79fc6d8a7862c62c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc8e226d60431ff8acbc5d72529a2c9b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#abc8e226d60431ff8acbc5d72529a2c9b">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:abc8e226d60431ff8acbc5d72529a2c9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color.  <a href="#abc8e226d60431ff8acbc5d72529a2c9b">More...</a><br /></td></tr>
<tr class="separator:abc8e226d60431ff8acbc5d72529a2c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4996d78c089e162721ff2c245f91fe4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ad4996d78c089e162721ff2c245f91fe4">setBackgroundColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ad4996d78c089e162721ff2c245f91fe4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color in normal state (mouse is not on top of the radio button).  <a href="#ad4996d78c089e162721ff2c245f91fe4">More...</a><br /></td></tr>
<tr class="separator:ad4996d78c089e162721ff2c245f91fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee33801ccca1c598d6ddf14d2121d74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#adee33801ccca1c598d6ddf14d2121d74">setBackgroundColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:adee33801ccca1c598d6ddf14d2121d74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color in hover state (mouse is standing on top of the radio button).  <a href="#adee33801ccca1c598d6ddf14d2121d74">More...</a><br /></td></tr>
<tr class="separator:adee33801ccca1c598d6ddf14d2121d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0199536e9b3096861e558dd49adc93e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a0199536e9b3096861e558dd49adc93e0">setForegroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a0199536e9b3096861e558dd49adc93e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the foreground color.  <a href="#a0199536e9b3096861e558dd49adc93e0">More...</a><br /></td></tr>
<tr class="separator:a0199536e9b3096861e558dd49adc93e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5da52d5f5ce68dfe5442c236e357393f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a5da52d5f5ce68dfe5442c236e357393f">setForegroundColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a5da52d5f5ce68dfe5442c236e357393f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the foreground color in normal state (mouse is not on top of the radio button).  <a href="#a5da52d5f5ce68dfe5442c236e357393f">More...</a><br /></td></tr>
<tr class="separator:a5da52d5f5ce68dfe5442c236e357393f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e79a881dc7792e012596c2ce6bde6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ad4e79a881dc7792e012596c2ce6bde6d">setForegroundColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ad4e79a881dc7792e012596c2ce6bde6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the foreground color in hover state (mouse is standing on top of the radio button).  <a href="#ad4e79a881dc7792e012596c2ce6bde6d">More...</a><br /></td></tr>
<tr class="separator:ad4e79a881dc7792e012596c2ce6bde6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5f282e2223d9846ad5398e3fbad7f92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ab5f282e2223d9846ad5398e3fbad7f92">setCheckColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ab5f282e2223d9846ad5398e3fbad7f92"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color that is used to fill the radio button when it is checked.  <a href="#ab5f282e2223d9846ad5398e3fbad7f92">More...</a><br /></td></tr>
<tr class="separator:ab5f282e2223d9846ad5398e3fbad7f92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade54ed0d9d400ae2bda8edddad0e90f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ade54ed0d9d400ae2bda8edddad0e90f7">setCheckColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ade54ed0d9d400ae2bda8edddad0e90f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color that is used to fill the radio button when it is checked (mouse is not on radio button).  <a href="#ade54ed0d9d400ae2bda8edddad0e90f7">More...</a><br /></td></tr>
<tr class="separator:ade54ed0d9d400ae2bda8edddad0e90f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5880e2caa7c5b951553efe1cc6ad7720"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a5880e2caa7c5b951553efe1cc6ad7720">setCheckColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a5880e2caa7c5b951553efe1cc6ad7720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color that is used to fill the radio button when it is checked (mouse is on top of radio button).  <a href="#a5880e2caa7c5b951553efe1cc6ad7720">More...</a><br /></td></tr>
<tr class="separator:a5880e2caa7c5b951553efe1cc6ad7720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdfd17380f97b8cc7974ce9181964736"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#afdfd17380f97b8cc7974ce9181964736">setUncheckedTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:afdfd17380f97b8cc7974ce9181964736"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the checkbox is not checked.  <a href="#afdfd17380f97b8cc7974ce9181964736">More...</a><br /></td></tr>
<tr class="separator:afdfd17380f97b8cc7974ce9181964736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a543c661e8b046842d3aee5da4871ed45"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a543c661e8b046842d3aee5da4871ed45">setCheckedTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a543c661e8b046842d3aee5da4871ed45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the checkbox is checked.  <a href="#a543c661e8b046842d3aee5da4871ed45">More...</a><br /></td></tr>
<tr class="separator:a543c661e8b046842d3aee5da4871ed45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e05c772f13c6e2aa579818cb798dffd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a3e05c772f13c6e2aa579818cb798dffd">setUncheckedHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a3e05c772f13c6e2aa579818cb798dffd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the checkbox is not checked and the mouse is on top of the checkbox.  <a href="#a3e05c772f13c6e2aa579818cb798dffd">More...</a><br /></td></tr>
<tr class="separator:a3e05c772f13c6e2aa579818cb798dffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39e105caccb7ac2dbf89201e1481da17"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a39e105caccb7ac2dbf89201e1481da17">setCheckedHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a39e105caccb7ac2dbf89201e1481da17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the checkbox is checked and the mouse is on top of the checkbox.  <a href="#a39e105caccb7ac2dbf89201e1481da17">More...</a><br /></td></tr>
<tr class="separator:a39e105caccb7ac2dbf89201e1481da17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c16dd44798275537923ca8a6885e481"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a3c16dd44798275537923ca8a6885e481">setFocusedTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a3c16dd44798275537923ca8a6885e481"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed on top of the checkbox when it is focused.  <a href="#a3c16dd44798275537923ca8a6885e481">More...</a><br /></td></tr>
<tr class="separator:a3c16dd44798275537923ca8a6885e481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetPadding"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetPadding')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td></tr>
<tr class="memitem:a06448dfb10275ea7939c248ddf88f46d inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">setPadding</a> (const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;padding)</td></tr>
<tr class="memdesc:a06448dfb10275ea7939c248ddf88f46d inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#a06448dfb10275ea7939c248ddf88f46d">More...</a><br /></td></tr>
<tr class="separator:a06448dfb10275ea7939c248ddf88f46d inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">setPadding</a> (float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td></tr>
<tr class="memdesc:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#a865dcb475db3ef518b601846045c9212">More...</a><br /></td></tr>
<tr class="separator:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">setPadding</a> (float width, float height)</td></tr>
<tr class="memdesc:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#abba6165c8b9220c6bf904446a0c7f262">More...</a><br /></td></tr>
<tr class="separator:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Padding</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a> () const </td></tr>
<tr class="memdesc:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the padding.  <a href="#ab1c34add1232dc4cd8dca0ebc4dc8a20">More...</a><br /></td></tr>
<tr class="separator:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa1b389bc0fe2adf81a255431b2ea7f3a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::RadioButtonRenderer::RadioButtonRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1RadioButton.html">RadioButton</a> *&#160;</td>
          <td class="paramname"><em>radioButton</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">radioButton</td><td>The radio button that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ad3a06ca946aa9807fd65cce2ba57ae2c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::RadioButtonRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="af412ddc80580c7b6d4162bee21e3062a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::RadioButtonRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="abc8e226d60431ff8acbc5d72529a2c9b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color. </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>This color can be seen as the border color. It is only visible when there is some padding.</p>
<p>This color will overwrite the color for both the normal and hover state.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ad4996d78c089e162721ff2c245f91fe4" title="Changes the background color in normal state (mouse is not on top of the radio button). ">setBackgroundColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1RadioButtonRenderer.html#adee33801ccca1c598d6ddf14d2121d74" title="Changes the background color in hover state (mouse is standing on top of the radio button)...">setBackgroundColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="adee33801ccca1c598d6ddf14d2121d74"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setBackgroundColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color in hover state (mouse is standing on top of the radio button). </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>This color can be seen as the border color. It is only visible when there is some padding. </p>

</div>
</div>
<a class="anchor" id="ad4996d78c089e162721ff2c245f91fe4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setBackgroundColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color in normal state (mouse is not on top of the radio button). </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>This color can be seen as the border color. It is only visible when there is some padding. </p>

</div>
</div>
<a class="anchor" id="ab5f282e2223d9846ad5398e3fbad7f92"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setCheckColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color that is used to fill the radio button when it is checked. </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New check color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ade54ed0d9d400ae2bda8edddad0e90f7" title="Changes the color that is used to fill the radio button when it is checked (mouse is not on radio but...">setCheckColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1RadioButtonRenderer.html#a5880e2caa7c5b951553efe1cc6ad7720" title="Changes the color that is used to fill the radio button when it is checked (mouse is on top of radio ...">setCheckColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a5880e2caa7c5b951553efe1cc6ad7720"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setCheckColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color that is used to fill the radio button when it is checked (mouse is on top of radio button). </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New check color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ade54ed0d9d400ae2bda8edddad0e90f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setCheckColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color that is used to fill the radio button when it is checked (mouse is not on radio button). </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New check color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a39e105caccb7ac2dbf89201e1481da17"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setCheckedHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the checkbox is checked and the mouse is on top of the checkbox. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new checked hover texture</td></tr>
  </table>
  </dd>
</dl>
<p>This only has effect when the normal checked and unchecked images are also set. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a543c661e8b046842d3aee5da4871ed45"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setCheckedTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the checkbox is checked. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new checked texture</td></tr>
  </table>
  </dd>
</dl>
<p>When checked and unchecked images are set, the background and foreground color properties will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a3c16dd44798275537923ca8a6885e481"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setFocusedTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed on top of the checkbox when it is focused. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new checked hover texture</td></tr>
  </table>
  </dd>
</dl>
<p>This only has effect when the normal checked and unchecked images are also set. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a0199536e9b3096861e558dd49adc93e0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setForegroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the foreground color. </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New foreground color</td></tr>
  </table>
  </dd>
</dl>
<p>This color is drawn on top of the background color, but it does not overdraw it completely when padding is set. When there is padding, the background color will thus serve as the border color.</p>
<p>This color will overwrite the color for both the normal and hover state.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1RadioButtonRenderer.html#a5da52d5f5ce68dfe5442c236e357393f" title="Changes the foreground color in normal state (mouse is not on top of the radio button). ">setForegroundColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1RadioButtonRenderer.html#ad4e79a881dc7792e012596c2ce6bde6d" title="Changes the foreground color in hover state (mouse is standing on top of the radio button)...">setForegroundColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ad4e79a881dc7792e012596c2ce6bde6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setForegroundColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the foreground color in hover state (mouse is standing on top of the radio button). </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New foreground color</td></tr>
  </table>
  </dd>
</dl>
<p>This color is drawn on top of the background color, but it does not overdraw it completely when padding is set. When there is padding, the background color will thus serve as the border color. </p>

</div>
</div>
<a class="anchor" id="a5da52d5f5ce68dfe5442c236e357393f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setForegroundColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the foreground color in normal state (mouse is not on top of the radio button). </p>
<p>This color is ignored when checked and unchecked images are set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New foreground color</td></tr>
  </table>
  </dd>
</dl>
<p>This color is drawn on top of the background color, but it does not overdraw it completely when padding is set. When there is padding, the background color will thus serve as the border color.</p>
<p>This color will overwrite the color for both the normal and hover state. </p>

</div>
</div>
<a class="anchor" id="a6d4733acce3787726cd9a0cf41310461"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::RadioButtonRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ab0035b9411a9e6c698c7be6d8480a7d2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::RadioButtonRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aa127be5ad99e5d487c01d7ddcaa41018"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1RadioButtonRenderer.html#ae19f286c657f75446c8333a4b28880f0" title="Changes the color of the text in normal state (mouse not on top of the radio button). ">setTextColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1RadioButtonRenderer.html#a44cacc645612bdcf79fc6d8a7862c62c" title="Changes the color of the text in hover state (mouse is standing on top of the radio button)...">setTextColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a44cacc645612bdcf79fc6d8a7862c62c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setTextColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text in hover state (mouse is standing on top of the radio button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae19f286c657f75446c8333a4b28880f0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setTextColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text in normal state (mouse not on top of the radio button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3e05c772f13c6e2aa579818cb798dffd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setUncheckedHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the checkbox is not checked and the mouse is on top of the checkbox. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new unchecked hover texture</td></tr>
  </table>
  </dd>
</dl>
<p>This only has effect when the normal checked and unchecked images are also set. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="afdfd17380f97b8cc7974ce9181964736"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::RadioButtonRenderer::setUncheckedTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the checkbox is not checked. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new unchecked texture</td></tr>
  </table>
  </dd>
</dl>
<p>When checked and unchecked images are set, the background and foreground color properties will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="RadioButton_8hpp_source.html">RadioButton.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
